Chinaunix首页 | 论坛 | 博客
  • 博客访问: 1230252
  • 博文数量: 290
  • 博客积分: 3468
  • 博客等级: 中校
  • 技术积分: 3461
  • 用 户 组: 普通用户
  • 注册时间: 2010-12-28 22:21
文章分类

全部博文(290)

文章存档

2016年(13)

2015年(3)

2014年(42)

2013年(67)

2012年(90)

2011年(75)

分类: LINUX

2013-12-06 14:10:23

linux deepin 2013发布,发现里面有不少好用的软件,截屏工具是最常用之一,所以就从中下了源码来安装到自己的机器上用。
下面是源码安装过程中遇到的一些问题记录。

从  下载源码

1. deepin-screenshot_2.0+git20131108
2. deepin-ui_1+git20131108
3. deepin-utils_0.0.1-1+git20131108

安装顺序为:
deepin-ui, deepin-utils, deepin-screenshot

安装方法:
参考源码包里的README文件

主要的出错信息:
ImportError: No module named deepin_utils.file
没有安装 deepin-utils

ImportError: No module named dtk.ui.init_skin
没有安装 deepin-ui

ImportError: No module named scipy
没有安装 python-scipy

安装依赖:

点击(此处)折叠或打开

  1. # sudo apt-get install \
  2. libsoup2.4-1 \
  3. debconf \
  4. python \
  5. libwebkitgtk-dev \
  6. libglib2.0-dev \
  7. libcairo2-dev \
  8. python-cairo-dev \
  9. libgtk2.0-dev \
  10. libpango1.0-dev \
  11. libgdk-pixbuf2.0-dev \
  12. libatk1.0-dev \
  13. -y

点击(此处)折叠或打开

  1. sudo apt-get install \
  2. python-scipy \
  3. python-xdg \
  4. python-wnck \
  5. python-xlib \
  6. python-pycurl \
  7. python-webkit \
  8. python-zbar \
  9. python-numpy \
  10. python-gtk2-dev \
  11. python-imaging \
  12. python-setuptools \
  13. python-cairo-dev \
  14. -y

PS:在编译的过程中如出错缺少头文件的错误(deepin-utils 中出现的比较多)可以通过 apt-file 工具来帮忙解决

参考链接:

阅读(998) | 评论(0) | 转发(0) |
给主人留下些什么吧!~~